org.apache.calcite.avatica.proto

## Class Requests.TablesRequest

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - org.apache.calcite.avatica.proto.Requests.TablesRequest

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, Requests.TablesRequestOrBuilder

Enclosing class:
  Requests

    public static final class Requests.TablesRequest
    extends com.google.protobuf.GeneratedMessageV3
    implements Requests.TablesRequestOrBuilder

     Request for Request for Meta#getTables(String, org.apache.calcite.avatica.Meta.Pat,
       org.apache.calcite.avatica.Meta.Pat, java.util.List)

Protobuf type `TablesRequest`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `Requests.TablesRequest.Builder` Request for Request for Meta#getTables(String, org.apache.calcite.avatica.Meta.Pat, org.apache.calcite.avatica.Meta.Pat, java.util.List)

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`

### Field Summary

Fields
`private int` `bitField0_`
`private Object` `catalog_`
`static int` `CATALOG_FIELD_NUMBER`
`static int` `CONNECTION_ID_FIELD_NUMBER`
`private Object` `connectionId_`
`private static Requests.TablesRequest` `DEFAULT_INSTANCE`
`static int` `HAS_TYPE_LIST_FIELD_NUMBER`
`private boolean` `hasTypeList_`
`private byte` `memoizedIsInitialized`
`private static com.google.protobuf.Parser<Requests.TablesRequest>` `PARSER`
`static int` `SCHEMA_PATTERN_FIELD_NUMBER`
`private Object` `schemaPattern_`
`private static long` `serialVersionUID`
`static int` `TABLE_NAME_PATTERN_FIELD_NUMBER`
`private Object` `tableNamePattern_`
`static int` `TYPE_LIST_FIELD_NUMBER`
`private com.google.protobuf.LazyStringList` `typeList_`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Constructor Summary

Constructors
`private` `TablesRequest()`
`private` `TablesRequest(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`private` `TablesRequest(com.google.protobuf.GeneratedMessageV3.Builder<?> builder)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`String` `getCatalog()` `optional string catalog = 1;`
`com.google.protobuf.ByteString` `getCatalogBytes()` `optional string catalog = 1;`
`String` `getConnectionId()` `optional string connection_id = 7;`
`com.google.protobuf.ByteString` `getConnectionIdBytes()` `optional string connection_id = 7;`
`static Requests.TablesRequest` `getDefaultInstance()`
`Requests.TablesRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`boolean` `getHasTypeList()` Having an empty type_list is distinct from a null type_list
`com.google.protobuf.Parser<Requests.TablesRequest>` `getParserForType()`
`String` `getSchemaPattern()` `optional string schema_pattern = 2;`
`com.google.protobuf.ByteString` `getSchemaPatternBytes()` `optional string schema_pattern = 2;`
`int` `getSerializedSize()`
`String` `getTableNamePattern()` `optional string table_name_pattern = 3;`
`com.google.protobuf.ByteString` `getTableNamePatternBytes()` `optional string table_name_pattern = 3;`
`String` `getTypeList(int index)` `repeated string type_list = 4;`
`com.google.protobuf.ByteString` `getTypeListBytes(int index)` `repeated string type_list = 4;`
`int` `getTypeListCount()` `repeated string type_list = 4;`
`com.google.protobuf.ProtocolStringList` `getTypeListList()` `repeated string type_list = 4;`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static Requests.TablesRequest.Builder` `newBuilder()`
`static Requests.TablesRequest.Builder` `newBuilder(Requests.TablesRequest prototype)`
`Requests.TablesRequest.Builder` `newBuilderForType()`
`protected Requests.TablesRequest.Builder` `newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`static Requests.TablesRequest` `parseDelimitedFrom(InputStream input)`
`static Requests.TablesRequest` `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Requests.TablesRequest` `parseFrom(byte[] data)`
`static Requests.TablesRequest` `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Requests.TablesRequest` `parseFrom(com.google.protobuf.ByteString data)`
`static Requests.TablesRequest` `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Requests.TablesRequest` `parseFrom(com.google.protobuf.CodedInputStream input)`
`static Requests.TablesRequest` `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Requests.TablesRequest` `parseFrom(InputStream input)`
`static Requests.TablesRequest` `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<Requests.TablesRequest>` `parser()`
`Requests.TablesRequest.Builder` `toBuilder()`
`void` `writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`computeStringSize, computeStringSizeNoTag, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, newBuilderForType, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Field Detail

#### bitField0_

    private int bitField0_

#### CATALOG_FIELD_NUMBER

    public static final int CATALOG_FIELD_NUMBER

See Also:
  Constant Field Values

#### catalog_

    private volatile Object catalog_

#### SCHEMA_PATTERN_FIELD_NUMBER

    public static final int SCHEMA_PATTERN_FIELD_NUMBER

See Also:
  Constant Field Values

#### schemaPattern_

    private volatile Object schemaPattern_

#### TABLE_NAME_PATTERN_FIELD_NUMBER

    public static final int TABLE_NAME_PATTERN_FIELD_NUMBER

See Also:
  Constant Field Values

#### tableNamePattern_

    private volatile Object tableNamePattern_

#### TYPE_LIST_FIELD_NUMBER

    public static final int TYPE_LIST_FIELD_NUMBER

See Also:
  Constant Field Values

#### typeList_

    private com.google.protobuf.LazyStringList typeList_

#### HAS_TYPE_LIST_FIELD_NUMBER

    public static final int HAS_TYPE_LIST_FIELD_NUMBER

See Also:
  Constant Field Values

#### hasTypeList_

    private boolean hasTypeList_

#### CONNECTION_ID_FIELD_NUMBER

    public static final int CONNECTION_ID_FIELD_NUMBER

See Also:
  Constant Field Values

#### connectionId_

    private volatile Object connectionId_

#### memoizedIsInitialized

    private byte memoizedIsInitialized

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

#### DEFAULT_INSTANCE

    private static final Requests.TablesRequest DEFAULT_INSTANCE

#### PARSER

    private static final com.google.protobuf.Parser<Requests.TablesRequest> PARSER

### Constructor Detail

#### TablesRequest

    private TablesRequest(com.google.protobuf.GeneratedMessageV3.Builder<?> builder)

#### TablesRequest

    private TablesRequest()

#### TablesRequest

    private TablesRequest(com.google.protobuf.CodedInputStream input,
                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                   throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### Method Detail

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getCatalog

    public String getCatalog()

`optional string catalog = 1;`

Specified by:
  `getCatalog` in interface `Requests.TablesRequestOrBuilder`

#### getCatalogBytes

    public com.google.protobuf.ByteString getCatalogBytes()

`optional string catalog = 1;`

Specified by:
  `getCatalogBytes` in interface `Requests.TablesRequestOrBuilder`

#### getSchemaPattern

    public String getSchemaPattern()

`optional string schema_pattern = 2;`

Specified by:
  `getSchemaPattern` in interface `Requests.TablesRequestOrBuilder`

#### getSchemaPatternBytes

    public com.google.protobuf.ByteString getSchemaPatternBytes()

`optional string schema_pattern = 2;`

Specified by:
  `getSchemaPatternBytes` in interface `Requests.TablesRequestOrBuilder`

#### getTableNamePattern

    public String getTableNamePattern()

`optional string table_name_pattern = 3;`

Specified by:
  `getTableNamePattern` in interface `Requests.TablesRequestOrBuilder`

#### getTableNamePatternBytes

    public com.google.protobuf.ByteString getTableNamePatternBytes()

`optional string table_name_pattern = 3;`

Specified by:
  `getTableNamePatternBytes` in interface `Requests.TablesRequestOrBuilder`

#### getTypeListList

    public com.google.protobuf.ProtocolStringList getTypeListList()

`repeated string type_list = 4;`

Specified by:
  `getTypeListList` in interface `Requests.TablesRequestOrBuilder`

#### getTypeListCount

    public int getTypeListCount()

`repeated string type_list = 4;`

Specified by:
  `getTypeListCount` in interface `Requests.TablesRequestOrBuilder`

#### getTypeList

    public String getTypeList(int index)

`repeated string type_list = 4;`

Specified by:
  `getTypeList` in interface `Requests.TablesRequestOrBuilder`

#### getTypeListBytes

    public com.google.protobuf.ByteString getTypeListBytes(int index)

`repeated string type_list = 4;`

Specified by:
  `getTypeListBytes` in interface `Requests.TablesRequestOrBuilder`

#### getHasTypeList

    public boolean getHasTypeList()

     Having an empty type_list is distinct from a null type_list

`optional bool has_type_list = 6;`

Specified by:
  `getHasTypeList` in interface `Requests.TablesRequestOrBuilder`

#### getConnectionId

    public String getConnectionId()

`optional string connection_id = 7;`

Specified by:
  `getConnectionId` in interface `Requests.TablesRequestOrBuilder`

#### getConnectionIdBytes

    public com.google.protobuf.ByteString getConnectionIdBytes()

`optional string connection_id = 7;`

Specified by:
  `getConnectionIdBytes` in interface `Requests.TablesRequestOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static Requests.TablesRequest parseFrom(com.google.protobuf.ByteString data)
                                            throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Requests.TablesRequest parseFrom(com.google.protobuf.ByteString data,
                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                            throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Requests.TablesRequest parseFrom(byte[] data)
                                            throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Requests.TablesRequest parseFrom(byte[] data,
                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                            throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Requests.TablesRequest parseFrom(InputStream input)
                                            throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Requests.TablesRequest parseFrom(InputStream input,
                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                            throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static Requests.TablesRequest parseDelimitedFrom(InputStream input)
                                                     throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static Requests.TablesRequest parseDelimitedFrom(InputStream input,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Requests.TablesRequest parseFrom(com.google.protobuf.CodedInputStream input)
                                            throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Requests.TablesRequest parseFrom(com.google.protobuf.CodedInputStream input,
                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                            throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public Requests.TablesRequest.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static Requests.TablesRequest.Builder newBuilder()

#### newBuilder

    public static Requests.TablesRequest.Builder newBuilder(Requests.TablesRequest prototype)

#### toBuilder

    public Requests.TablesRequest.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected Requests.TablesRequest.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static Requests.TablesRequest getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<Requests.TablesRequest> parser()

#### getParserForType

    public com.google.protobuf.Parser<Requests.TablesRequest> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public Requests.TablesRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`